#!/usr/bin/env python

from argparse import ArgumentParser
import os, sys, re


p = ArgumentParser("")
p.add_argument("input", nargs="+", default=[])
args = p.parse_args()

# print args.input
# sys.exit(0)

for p in args.input:
    base, filename = os.path.split(p)
    m = re.search(r"(?P<name>.+)(?P<year>\d\d\d\d)(?P<month>\d\d)(?P<day>\d\d)_(?P<time>\d\d\d\d\d\d)\.(?P<ext>.+)", p)
    if m != None:
        g = m.groupdict()
        # print g
        foldername = g['year']+g['month']+g['day']
        try:
            os.makedirs(foldername)
        except OSError:
            pass
        newpath = os.path.join(foldername, filename)
        print "{0} -> {1}".format(p, newpath)
        os.rename(p, newpath)
